Page MenuHomePhabricator

Update Django to latest stable or LTS
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2018, 7:22 PM
bd808 moved this task from Backlog to Ready on the Striker board.Apr 27 2018, 8:55 PM
bd808 added a comment.EditedJun 29 2018, 10:47 PM

The changes for this should include a followup to https://gerrit.wikimedia.org/r/#/c/443203/ that restores looser specifications and the library licenses for requirements.txt.

bd808 moved this task from Ready to Doing on the Striker board.Dec 30 2018, 4:00 AM

Change 481799 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Upgrade to Django 2.1

https://gerrit.wikimedia.org/r/481799

Change 481799 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Upgrade to Django 2.1

https://gerrit.wikimedia.org/r/481799

As the commit subject shows, I decided to jump past the 1.11 LTS to the current latest stable 2.1. 2.1 will be supported for almost as long as 1.11 and was easier to jump to due to the large number of 3rd party libs that are already tracking Django 2.x.

Change 481799 merged by BryanDavis:
[labs/striker@master] Upgrade to Django 2.1

https://gerrit.wikimedia.org/r/481799

bd808 renamed this task from Update for Django 1.11 to Update Django to latest stable or LTS.Jan 2 2019, 12:33 AM
bd808 updated the task description. (Show Details)

Change 498227 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/staticfiles@master] Update static assets

https://gerrit.wikimedia.org/r/498227

Change 498227 merged by jenkins-bot:
[labs/striker/staticfiles@master] Update static assets

https://gerrit.wikimedia.org/r/498227

Change 498236 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/wheels@master] Update wheels for Django 2.1

https://gerrit.wikimedia.org/r/498236

Change 498236 merged by jenkins-bot:
[labs/striker/wheels@master] Update wheels for Django 2.1

https://gerrit.wikimedia.org/r/498236

Change 498258 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] Upgrade to Django 2.1 and other small improvments

https://gerrit.wikimedia.org/r/498258

Change 498258 merged by jenkins-bot:
[labs/striker/deploy@master] Upgrade to Django 2.1 and other small improvments

https://gerrit.wikimedia.org/r/498258

Mentioned in SAL (#wikimedia-operations) [2019-03-22T00:34:41Z] <bd808@deploy1001> Started deploy [striker/deploy@c4726e3]: Django upgrade and various bug fixes (T192487, T182142, T176325, T217932)

bd808 closed this task as Resolved.Mar 22 2019, 1:45 AM